diff --git a/mailnews/local/src/nsMailboxService.cpp b/mailnews/local/src/nsMailboxService.cpp
index 406f6e4..c48de42 100644
diff -Nur -x '*.orig' -x '*~' thunderbird-2.0.0.19+nobinonly/build-tree/mozilla/mailnews/local/src/nsMailboxService.cpp thunderbird-2.0.0.19+nobinonly.new/build-tree/mozilla/mailnews/local/src/nsMailboxService.cpp
--- mozilla/mailnews/local/src/nsMailboxService.cpp	2006-08-31 00:18:29.000000000 +0200
+++ mozilla/mailnews/local/src/nsMailboxService.cpp	2009-04-07 13:46:04.000000000 +0200
@@ -548,6 +548,18 @@
         if (NS_FAILED(rv))
           return rv;
         aMsgUri->SetSpec(newSpec);
+
+        nsCOMPtr <nsIMailboxUrl> aMailboxBaseUrl = do_QueryInterface(aBaseURI, &rv);
+        nsCOMPtr <nsIMailboxUrl> aMailboxMsgUrl = do_QueryInterface(aMsgUri, &rv);
+        if (aMailboxMsgUrl && aMailboxBaseUrl)
+        {
+          PRUint32 messageSize = 0;
+          rv = aMailboxBaseUrl->GetMessageSize(&messageSize);
+          if (rv == NS_OK && messageSize)
+          {
+            aMailboxMsgUrl->SetMessageSize(messageSize);
+          }
+        }
       } 
       else 
       {
